
<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
  <div class="container">
    <h2  style="font-size:30px ; color:hsl(45, 14%, 5%);">ProductApp</h2> 
    <div class="d-flex">
      <button class="btn btn-warning ms-3 fs-5">{{userEmail}}</button>
      <a href="" routerLink="/cartDashboard/{{userEmail}}" class="btn btn-light ms-3"><img id="cart-png" src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQ8uvpKPFU4iGid8a1h2sVttOWnAFusq_zLRw&usqp=CAU" alt=""></a>
      <button class="btn btn-light ms-3 fs-5" routerLink="/logout">Logout</button>
    </div>
  </div>
</nav>

<div class="card-layout" >
  <div class="card" style="width: 18rem;" *ngFor="let product of products">
      <div class="img-layout" *ngIf="userEmail">
        <img src={{product.imgPath}} class="card-img-top" alt="...">
      </div>
      <div class="card-body">
          <h4 class="card-text fs-4">Product Details</h4>
          <h5 class="card-text fs-5">Name:- {{product.name}}</h5>
          <h5 class="card-text fs-5">Description:- {{product.description}}</h5>
          <h5 class="card-text fs-5">Price:- {{product.price}}</h5>
          <a routerLink="/addCart/{{userEmail}}/{{product.id}}" class="btn btn-primary btn-space">Add to Cart</a>
          <a (click)="Order()" class="btn btn-primary">Buy Now</a>
          
      </div>
  </div>
</div>